Mailinglist Archive: opensuse-buildservice (260 mails)

< Previous Next >
Re: [opensuse-buildservice] osc 0.124 and obs 1.6 Compatibility
  • From: Adrian Schröter <adrian@xxxxxxx>
  • Date: Mon, 21 Dec 2009 16:35:11 +0100
  • Message-id: <200912211635.12107.adrian@xxxxxxx>
Am Montag, 21. Dezember 2009 16:16:03 schrieb Anas Nashif:
On 2009-12-21, at 9:38 AM, Adrian Schröter wrote:
Am Montag, 21. Dezember 2009 15:12:14 schrieb Anas Nashif:
Hi,
While many operation using osc 0.124 work as expected with obs 1.6.0, I
just noticed that submitrequest does not work and fails with:

constructor needs either REXML::Element, String or Hash

Is the 1.6 API compatible with osc 0.124?

it should be, but frankly, I don't have a running 1.6.0 around anymore.

I really want to use the 1.7 snapshots, but this is undergoing heavy
development right now. I spent some time trying to use the latest 1.6.83
packages, but without success, What is the best way to keep in sync with
the git HEAD and deploy changes from git?

http://en.opensuse.org/Build_Service/Run_from_git


Can you send me a bit more detailed snippet from your server log ?

[nashif@taybeh quilt]$ osc -d --apiurl http://api.xxxxx.org sr Trunk -m
"spec cleanup" GET http://api.xxxxx.org/source/Trunk/quilt/_meta
GET

... interessting ... one could argue that this is a server side bug, but I
wonder why we trigger this suddenly with a new osc.

This still worked with osc 0.123 ?

bye
adrian


--

Adrian Schroeter
SUSE Linux Products GmbH
email: adrian@xxxxxxx

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups